Subject: Re: phy_attach_direct()'s use of device_bind_driver()

From: Andrew Lunn <[email-masked]>
Date: Thu, 11 Feb 2021 15:03:52 +0100

On Thu, Feb 11, 2021 at 10:21:03AM +0000, Jon Hunter wrote:
> 
> On 10/02/2021 22:56, Andrew Lunn wrote:
> > On Wed, Feb 10, 2021 at 02:13:48PM -0800, Saravana Kannan wrote:
> >> Hi,
> >>
> >> This email was triggered by this other email[1].
> > 
> > And it appears the Tegra194 Jetson Xavier uses the Marvell 88E1512
> > PHY. So ensure the Marvell driver is available, and it should get
> > probed in the usual way, the fallback driver will not be needed.
> 
> 
> Yes that is correct. Enabling the Marvell PHY does fix this indeed and
> so I can enable that as part of our testsuite. We were seeing the same
> warning on Tegra186 Jetson TX2 and enabling the BRCM PHY resolves that
> as well. I will ensure that these are enabled going forward.

Hi Jon

As an added bonus, you might of gained an additional HWMON temperature
sensor for the PHY, some PHY statistics, and maybe cable diagnostics.
Just by using the correct driver for the hardware.

	     Andrew